<?xml version="1.0" encoding="utf-8"?>
<ExcelImport version="1" xmlns="http://wizardsoft.ru/schemas/excelimport.xsd">
	<sec name="FilterGroups">
		<sec name="1">
			<key name="Name" val="Формат кодов SmetaWIZARD (ТЕР, ФЕР, ГЭСН, ОЕР)"/>
			<key name="Description" val="Собраны маски для стандарных баз ТЕР, ФЕР, ГЭСН, ОЕР в формате написания SmetaWIZARD"/>
			<key name="Form" val="LS"/>
			<sec name="1.1">
				<key name="Type" val="Expenses"/>
				<key name="Name" val="Расценки из ТСНБ, ФНСБ, ГЭСН"/>
				<key name="Match" val="(?P&lt;code&gt;(?:ТЕР|ФЕР|ГЭСН|ФСН)(?:п|м|мр|рр|р)?\d{2}-\d{2}-\d{3}-\d{1,2})"/>
				<key name="Replace" val="\g&lt;code&gt;"/>
			</sec>
			<sec name="1.2">
				<key name="Type" val="Expenses"/>
				<key name="Name" val="Расценки из ТСНБ, ФНСБ, ГЭСН ремонтно-строительные"/>
				<key name="Match" val="(?P&lt;code&gt;(?:ТЕР|ФЕР|ГЭСН)р\d{2}-\d{1,2}-\d{2})"/>
				<key name="Replace" val="\g&lt;code&gt;"/>
			</sec>
			<sec name="1.3">
				<key name="Type" val="Expenses"/>
				<key name="Name" val="Расценки из ТСНэ-ТЕРэ"/>
				<key name="Match" val="(?P&lt;code&gt;ТСНэ-ТЕРэ\d\.\d{2}-\d{2}-\d{2,3}-\d{2,3})"/>
				<key name="Replace" val="\g&lt;code&gt;"/>
			</sec>
			<!--Позиции из ОСНБ РЖД-->
			<sec name="1.4">
				<key name="Type" val="Expenses"/>
				<key name="Name" val="Расценки из ОЕР"/>
				<key name="Match" val="(?P&lt;code&gt;ОЕРЖ(?:м|кр|п|мр)?\d{2}-\d{2}-\d{3}-\d{2}\w?)"/>
				<key name="Replace" val="\g&lt;code&gt;"/>
			</sec>
			<sec name="1.5">
				<key name="Type" val="Expenses"/>
				<key name="Name" val="Расценки из ОЕР ремонт"/>
				<key name="Match" val="(?P&lt;code&gt;ОЕРЖр\d{2}-\d{1,2}-\d{2})"/>
				<key name="Replace" val="\g&lt;code&gt;"/>
			</sec>
			<sec name="1.6">
				<key name="Type" val="Expenses"/>
				<key name="Name" val="Перевозка, погрузка, разгрузка, тара"/>
				<key name="Match" val="(?P&lt;code&gt;ОССПЖ\d{2}-\d{2}-\d{2,3}(?:-\d{3,5})?)"/>
				<key name="Replace" val="\g&lt;code&gt;"/>
			</sec>
			<!--
		  Сметные цены на перевозку, погрузку и разгрузку грузов в виде расценок
		  ФСЦпг02-05-001			- сметные цены на тару
		  ФСЦпг05-01-03-00050		- перевозка Ж/Д транспортом
		  ФСЦпг01-01-01-001		- остальное
		  -->
			<sec name="1.7">
				<key name="Type" val="Expenses"/>
				<key name="Name" val="Сметные цены на перевозку грузов для строительства из ФЕР"/>
				<key name="Match" val="(?P&lt;code&gt;ФСЦпг\d{2}-\d{2}-\d{2,3}(?:-\d{3,5})?)"/>
				<key name="Replace" val="\g&lt;code&gt;"/>
			</sec>
			<sec name="1.8">
				<key name="Type" val="Expenses"/>
				<key name="Name" val="Сметные цены на перевозку грузов для строительства из ТЕР"/>
				<key name="Match" val="(?P&lt;code&gt;ТССЦпг\d{2}-\d{2}-\d{2,3}(?:-\d{3,5})?)"/>
				<key name="Replace" val="\g&lt;code&gt;"/>
			</sec>
			<!--Сделана возможность импорта значения в скобках [] - как неучтенный материал в базисных ценах-->
			<sec name="1.9">
				<key name="Name" val="Оборудование"></key>
				<key name="Type" val="Materials"></key>
				<key name="Match" val="(\d{6}-\d{4})"/>
				<key name="Replace" val="$1"/>
			</sec>
			<sec name="1.10">
				<key name="Type" val="Materials"/>
				<key name="Name" val="Материалы из ГЭСН, ФСНБ и ТСНБ"/>
				<key name="Match" val="\[?(?P&lt;code&gt;\d{3}-\d{4}(?:-\d{1,5})?(П|\*)?)\]?"/>
				<key name="Replace" val="\g&lt;code&gt;"/>
			</sec>
			<sec name="1.11">
				<key name="Type" val="Machines"/>
				<key name="Name" val="Машины из ГЭСН, ФСНБ и ТСНБ"/>
				<key name="Match" val="(?P&lt;code&gt;\d{6}(?:-\d{1,4})?П?)"/>
				<key name="Replace" val="\g&lt;code&gt;"/>
			</sec>
			<!-- ФСНБ-2017 -->
			<sec name="1.12">
				<key name="Type" val="Materials"/>
				<key name="Name" val="Материалы из ФССЦ-2017"/>
				<key name="Match" val="\[?(?P&lt;code&gt;\d{2}\.\d{1,2}\.\d{2}\.\d{2}(?:-\d{4})?)\]?"/>
				<key name="Replace" val="\g&lt;code&gt;"/>
			</sec>
			<sec name="1.13">
				<key name="Type" val="Machines"/>
				<key name="Name" val="Машины из ФССЦ-2017"/>
				<key name="Match" val="(?P&lt;code&gt;\d{2}\.\d{2}\.\d{2}(?:-\d{3}))"/>
				<key name="Replace" val="\g&lt;code&gt;"/>
			</sec>
		</sec>
		<!--Данные из Грандсметы-->
		<!--Добавлено для Ремонтных работ последняя группа от 1 до 3 цифр-->
		<sec name="2">
			<key name="Name" val="Формат кодов Грандсмета"/>
			<key name="Description" val="Расценки из ТЕР, ФЕР, ГЭСН, ОЕР, Материалы и Машины формата ГрандСмета"/>
			<key name="Form" val="LS"/>
			<sec name="2.1">
				<key name="Type" val="Expenses"/>
				<key name="Name" val="Расценки из Грандсмета формата ТЕР, ФЕР, ГЭСН"/>
				<key name="Match" val="(?P&lt;code&gt;(?:ТЕР|ФЕР|ГЭСН)(?:п|м|мр)?\d{2}-\d{2}-\d{3}-\d{2})"/>
				<key name="Replace" val="\g&lt;code&gt;"/>
			</sec>
			<sec name="2.2">
				<key name="Type" val="Expenses"/>
				<key name="Name" val="Расценки из Грандсмета формата ТЕР, ФЕР, ГЭСН ремонтно-строительные"/>
				<key name="Match" val="(?P&lt;code&gt;(?:ТЕР|ФЕР|ГЭСН)р\d{2}-\d{1,2}-\d{1,3})"/>
				<key name="Replace" val="\g&lt;code&gt;"/>
			</sec>
			<sec name="2.3">
				<key name="Type" val="Materials"/>
				<key name="Name" val="Материалы из Градсмета"/>
				<key name="Match" val="(?P&lt;code&gt;\d{3}-\d{4})"/>
				<key name="Replace" val="\g&lt;code&gt;"/>
			</sec>
			<!--Расценки из ОЕР, отличие от наших кодов в отсутствие ведущих нулей и пробела между ОЕРЖ и числами-->
			<sec name="2.4">
				<key name="Type" val="Expenses"/>
				<key name="Name" val="Расценки из ОЕР"/>
				<key name="Match" val="(ОЕРЖ(?:м|кр|п|мр)?)\s?(\d{2}-\d{2}-\d{3}-\d{2}\w?)"/>
				<key name="Replace" val="$1$2"/>
			</sec>
			<sec name="2.5">
				<key name="Type" val="Expenses"/>
				<key name="Name" val="Расценки из ОЕР ремонт"/>
				<key name="Match" val="(ОЕРЖр)\s?(\d{2}-\d{1,2}-\d{1,2})"/>
				<key name="Replace" val="$1$2"/>
			</sec>
			<sec name="2.6">
				<key name="Type" val="Materials"/>
				<key name="Name" val="Материалы из Грандсмета формата ГЭСН, ФСНБ и ТСНБ"/>
				<key name="Match" val="\[?(?P&lt;code&gt;\d{3}-\d{4}(?:-\d{1,4})?)\]?"/>
				<key name="Replace" val="\g&lt;code&gt;"/>
			</sec>
			<sec name="2.7">
				<key name="Type" val="Machines"/>
				<key name="Name" val="Машины из Грандсмета формата ГЭСН, ФСНБ и ТСНБ"/>
				<key name="Match" val="(?P&lt;code&gt;\d{6})"/>
				<key name="Replace" val="\g&lt;code&gt;"/>
			</sec>
			<!-- ФСНБ-2017 -->
			<sec name="2.8">
				<key name="Type" val="Materials"/>
				<key name="Name" val="Материалы из ФССЦ-2017"/>
				<key name="Match" val="\[?(?P&lt;code&gt;\d{2}\.\d{1,2}\.\d{2}\.\d{2}(?:-\d{4})?)\]?"/>
				<key name="Replace" val="\g&lt;code&gt;"/>
			</sec>
			<sec name="2.9">
				<key name="Type" val="Machines"/>
				<key name="Name" val="Машины из ФССЦ-2017"/>
				<key name="Match" val="(?P&lt;code&gt;\d{2}\.\d{2}\.\d{2}(?:-\d{3}))"/>
				<key name="Replace" val="\g&lt;code&gt;"/>
			</sec>
		</sec>
		<!--Данные из А0-->
		<sec name="3">
			<key name="Name" val="Формат кодов А0"/>
			<key name="Description" val="Расценки из ТЕР, ФЕР, ГЭСН, Материалы, Транспортировка формата А0"/>
			<key name="Form" val="LS"/>
			<!-- Убираем ведущие нули-->
			<sec name="3.1">
				<key name="Name" val="Расценки ремонт А0"/>
				<key name="Type" val="Expenses"/>
				<key name="Match" val="((?:ТЕР|ФЕР|ГЭСН)р)-\s*(\d{2}-)\s*0(\d-)\s*0(\d{2})(?:[^\d-]|$)"/>
				<key name="Replace" val="$1$2$3$4"/>
			</sec>
			<sec name="3.2">
				<key name="Name" val="Расценки ремонт А0 без ведущего нуля"/>
				<key name="Type" val="Expenses"/>
				<key name="Match" val="((?:ТЕР|ФЕР|ГЭСН)р)-\s*(\d{2}-)\s*(\d{2}-)\s*0(\d{2})(?:[^\d-]|$)"/>
				<key name="Replace" val="$1$2$3$4"/>
			</sec>
			<sec name="3.3">
				<key name="Name" val="Расценки ремонт А0 без всех ведущих нулей"/>
				<key name="Type" val="Expenses"/>
				<key name="Match" val="((?:ТЕР|ФЕР|ГЭСН)р)-\s*(\d{2}-)\s*(\d{1,2}-)\s*(\d{2,3})(?:[^\d-]|$)"/>
				<key name="Replace" val="$1$2$3$4"/>
			</sec>
			<!-- Вырезаем дефис между ТЕР и кодом и убираем возможный пробел-->
			<sec name="3.4">
				<key name="Name" val="Расценки А0"/>
				<key name="Type" val="Expenses"/>
				<key name="Match" val="((?:ТЕР|ФЕР|ГЭСН)(?:п|м|мр|р)?)-\s*(\d{2}-)\s*(\d{2}-)\s*(\d{3}-)\s*(\d{2})"/>
				<key name="Replace" val="$1$2$3$4$5"/>
			</sec>
			<!-- Убираем префикс ССЦ и два непонятных числа после него -->
			<sec name="3.5">
				<key name="Name" val="Материалы А0"/>
				<key name="Type" val="Materials"/>
				<key name="Match" val="ССЦ\d{2}-(?P&lt;code&gt;\d{3}-\d{4}(?:-\d{1,4})?)"/>
				<key name="Replace" val="\g&lt;code&gt;"/>
			</sec>
			<!-- Добавлен формат из формата кодов SmetaWIZARD (п/п. 1.9)-->
			<sec name="3.6">
				<key name="Type" val="Materials"/>
				<key name="Name" val="Материалы из ГЭСН, ФСНБ и ТСНБ"/>
				<key name="Match" val="\[?(?P&lt;code&gt;\d{3}-\d{4}(?:-\d{1,5})?(П|\*)?)\]?"/>
				<key name="Replace" val="\g&lt;code&gt;"/>
			</sec>
			<!--ТССЦ А0
			ТССЦпг-03-02-002-200
			ТССЦпг-03-21-001-05
			-->
			<sec name="3.7">
				<key name="Name" val="Транспортировка А0"/>
				<key name="Type" val="Expenses"/>
				<key name="Match" val="(ТССЦпг)-(\d{2}-\d{2})-0(\d{2})-(\d{3})"/>
				<key name="Replace" val="$1$2-$3-$4"/>
			</sec>
			<sec name="3.8">
				<key name="Name" val="Транспортировка А0"/>
				<key name="Type" val="Expenses"/>
				<key name="Match" val="(ТССЦпг)-(\d{2}-\d{2})-0(\d{2})-(\d{2})"/>
				<key name="Replace" val="$1$2-$3-0$4"/>
			</sec>
			<!-- ФСНБ-2017 -->
			<sec name="3.9">
				<key name="Type" val="Materials"/>
				<key name="Name" val="Материалы из ФССЦ-2017"/>
				<key name="Match" val="\[?(?P&lt;code&gt;\d{2}\.\d{1,2}\.\d{2}\.\d{2}(?:-\d{4})?)\]?"/>
				<key name="Replace" val="\g&lt;code&gt;"/>
			</sec>
			<sec name="3.10">
				<key name="Type" val="Machines"/>
				<key name="Name" val="Машины из ФССЦ-2017"/>
				<key name="Match" val="(?P&lt;code&gt;\d{2}\.\d{2}\.\d{2}(?:-\d{3}))"/>
				<key name="Replace" val="\g&lt;code&gt;"/>
			</sec>
		</sec>
		<!--Данные из Smeta.RU-->
		<sec name="4">
			<key name="Name" val="Формат кодов Smeta.RU"/>
			<key name="Description" val="Расценки из ТЕР, ФЕР, ГЭСН, Материалы формата Smeta.RU"/>
			<key name="Form" val="LS"/>
			<sec name="4.1">
				<key name="Name" val="Расценки смета-ру"/>
				<key name="Type" val="Expenses"/>
				<key name="Match" val="(п|м|мр)?\s?(\d{2}-\d{2}-\d{3}-\d{1,2})"/>
				<key name="Replace" val="$1$2"/>
			</sec>
			<sec name="4.2">
				<key name="Name" val="Расценки смета-ру ремонт"/>
				<key name="Type" val="Expenses"/>
				<key name="Match" val="(р)\s?(\d{2}-\d{1,2}-\d{1,3})"/>
				<key name="Replace" val="$1$2"/>
			</sec>
			<sec name="4.3">
				<key name="Name" val="Расценки нестандартных шифров"/>
				<key name="Type" val="Expenses"/>
				<key name="Match" val="т(?P&lt;code&gt;(?:\d{2}-\d{2}-\d{2,3}(-\d{3,5})?))"/>
				<key name="Replace" val="пг\g&lt;code&gt;"/>
			</sec>
			<sec name="4.4">
				<key name="Name" val="Материалы"/>
				<key name="Type" val="Materials"/>
				<key name="Match" val="(?P&lt;code&gt;\d{3}-\d{4}(?:-\d{1,3})?)"/>
				<key name="Replace" val="\g&lt;code&gt;"/>
			</sec>
			<sec name="4.5">
				<key name="Name" val="Машины"/>
				<key name="Type" val="Machines"/>
				<key name="Match" val="(?P&lt;code&gt;\d{6}?)"/>
				<key name="Replace" val="\g&lt;code&gt;"/>
			</sec>
			<!-- ФСНБ-2017 -->
			<sec name="4.6">
				<key name="Type" val="Materials"/>
				<key name="Name" val="Материалы из ФССЦ-2017"/>
				<key name="Match" val="\[?(?P&lt;code&gt;\d{2}\.\d{1,2}\.\d{2}\.\d{2}(?:-\d{4})?)\]?"/>
				<key name="Replace" val="\g&lt;code&gt;"/>
			</sec>
			<sec name="4.7">
				<key name="Type" val="Machines"/>
				<key name="Name" val="Машины из ФССЦ-2017"/>
				<key name="Match" val="(?P&lt;code&gt;\d{2}\.\d{2}\.\d{2}(?:-\d{3}))"/>
				<key name="Replace" val="\g&lt;code&gt;"/>
			</sec>
		</sec>
		<!--Данные из Госстройсмета-->
		<sec name="5">
			<key name="Name" val="Формат кодов Госстройсмета"/>
			<key name="Description" val="Расценки из ТЕР, ФЕР, ГЭСН формата Госстройсмета"/>
			<key name="Form" val="LS"/>
			<sec name="5.1">
				<key name="Name" val="Расценки ТЕР/ФЕР/ГЭСН"/>
				<key name="Type" val="Expenses"/>
				<key name="Match" val="((?:ТЕР|ФЕР|ГЭСН)(?:п|м|мр|рр)?)\s?(\d{2}-\d{2}-\d{3}-\d{1,2})"/>
				<key name="Replace" val="$1$2"/>
			</sec>
			<sec name="5.2">
				<key name="Name" val="Расценки ТЕР/ФЕР/ГЭСН ремонт"/>
				<key name="Type" val="Expenses"/>
				<key name="Match" val="((?:ТЕР|ФЕР|ГЭСН)р)\s?(\d{2}-\d{1,2}-\d{2})"/>
				<key name="Replace" val="$1$2"/>
			</sec>
			<!-- ФСНБ-2017 -->
			<sec name="5.3">
				<key name="Type" val="Materials"/>
				<key name="Name" val="Материалы из ФССЦ-2017"/>
				<key name="Match" val="\[?(?P&lt;code&gt;\d{2}\.\d{1,2}\.\d{2}\.\d{2}(?:-\d{4})?)\]?"/>
				<key name="Replace" val="\g&lt;code&gt;"/>
			</sec>
			<sec name="5.4">
				<key name="Type" val="Machines"/>
				<key name="Name" val="Машины из ФССЦ-2017"/>
				<key name="Match" val="(?P&lt;code&gt;\d{2}\.\d{2}\.\d{2}(?:-\d{3}))"/>
				<key name="Replace" val="\g&lt;code&gt;"/>
			</sec>
		</sec>
		<!--Данные из SmetaWIZARD, расценки из ТСН Москвы-->
		<sec name="6">
			<key name="Name" val="Расценки в формате SmetaWIZARD (ТСН Москва)"/>
			<key name="Description" val="Расценки из базы ТСН Москва и СН-2012"/>
			<key name="Form" val="MTSN"/>
			<sec name="6.1">
				<key name="Type" val="Expenses"/>
				<key name="Name" val="Расценки из ТСН Москва"/>
				<key name="Match" val="(?P&lt;code&gt;\d{1,2}\.\d{1,2}-\d{1,5}-\d{1,4}(-\d{1,3}(\/\d{1,2})?)?)"/>
				<key name="Replace" val="\g&lt;code&gt;"/>
			</sec>
		</sec>
		<!--Данные из АВС-4-->
		<sec name="7">
			<key name="Name" val="Формат АВС"></key>
			<key name="Description" val="Формат кодов АВС-4"></key>
			<key name="Form" val="LS"></key>
			<!--10-08-001-08 ОЕРЖм-2001 от 25.04.2015 № 326/пр-->
			<sec name="7.1">
				<key name="Name" val="Расценки ОЕРЖ..."/>
				<key name="Type" val="Expenses"></key>
				<key name="Match" val="(\d{2}-\d{2}-\d{3}-\d{2})\s*(ОЕРЖ(?:кр|м|мр|п|р)?)-2001"/>
				<key name="Replace" val="$2$1"/>
			</sec>
			<!--Нормализированный код-->
			<sec name="7.1-1">
				<key name="Name" val="Расценки ОЕРЖ..."/>
				<key name="Type" val="Expenses"></key>
				<key name="Match" val="(ОЕРЖ(?:кр|м|мр|п|р)?)\s*(\d{2}-\d{2}-\d{3}-\d{2})"/>
				<key name="Replace" val="$1$2"/>
			</sec>
			<!--"57-2-1 ОЕРЖр-2001 от 25.04.2015 № 326/пр П.30.7.1"-->
			<sec name="7.2">
				<key name="Name" val="Расценки ремонт ОЕРЖр"/>
				<key name="Type" val="Expenses"></key>
				<key name="Match" val="(\d{2}-\d{1,2}-\d{1,2})\s*(ОЕРЖр)-2001"/>
				<key name="Replace" val="$2$1"/>
			</sec>
			<!--Нормализированный код-->
			<sec name="7.2-1">
				<key name="Name" val="Расценки ремонт ОЕРЖр"/>
				<key name="Type" val="Expenses"></key>
				<key name="Match" val="(ОЕРЖр)\s*(\d{2}-\d{1,2}-\d{1,2})"/>
				<key name="Replace" val="$1$2"/>
			</sec>
			<!--01-01-01-054 ОССПЖ-2001-->
			<sec name="7.3">
				<key name="Name" val="Перевозка, погрузка, разгрузка, тара ОССПЖ"></key>
				<key name="Type" val="Expenses"></key>
				<key name="Match" val="(\d{2}-\d{2}-\d{2,3}(?:-\d{3,5})?)\s*(ОССПЖ)-2001"/>
				<key name="Replace" val="$2$1"/>
			</sec>
			<!--"503-9041-001х ОССЦЖ"-->
			<sec name="7.4">
				<key name="Name" val="Материалы ОССЦЖ с русской буквой х (наша *)"></key>
				<key name="Type" val="Materials"></key>
				<key name="Match" val="(\d{3}-\d{4}(-\d{3})?)х.*(ОССЦЖ)"/>
				<key name="Replace" val="$1\*"/>
			</sec>
			<!--"501-1726 ОССЦЖ-2001 от 25.04.2015 № 326/пр АНАЛОГ"-->
			<sec name="7.5">
				<key name="Name" val="Материалы ОССЦЖ"></key>
				<key name="Type" val="Materials"></key>
				<key name="Match" val="(\d{3}-\d{4}(-\d{3})?).*(ОССЦЖ)"/>
				<key name="Replace" val="$1"/>
			</sec>
			<sec name="7.6">
				<!--"485487-0057 ОСОЦЖо-2001 АНАЛОГ"-->
				<key name="Name" val="Оборудование"/>
				<key name="Type" val="Materials"></key>
				<key name="Match" val="(\d{6}-\d{4})\s*(ОСОЦЖо)"/>
				<key name="Replace" val="$1"/>
			</sec>
		</sec>
		<!--Данные из SmetaWIZARD, расценки 1984 Реставрация, Москва-->
		<sec name="8">
			<key name="Name" val="Расценки в формате SmetaWIZARD (1984 Реставрация, Москва)"/>
			<key name="Description" val="Расценки из базы 1984 Реставрация, Москва"/>
			<key name="Form" val="LS"/>
			<sec name="8.1">
				<key name="Type" val="Expenses"/>
				<key name="Name" val="ДИЗ"/>
				<key name="Match" val="(?P&lt;code&gt;ДИЗ-\d+-1984-\d+-(?:\d|I)+(?:-(?:\d|[а-яА-Я])+)*)"/>
				<key name="Replace" val="\g&lt;code&gt;"/>
			</sec>
			<sec name="8.2">
				<key name="Type" val="Expenses"/>
				<key name="Name" val="ССН"/>
				<key name="Match" val="(?P&lt;code&gt;ССН-1984-\d+-(?:\d|I)+(?:-(?:\d|[а-яА-Я]|\.)+)*)"/>
				<key name="Replace" val="\g&lt;code&gt;"/>
			</sec>
		</sec>
		<!--Взято их форматов SmetaWIZARD и внесены некоторые изменения-->
		<sec name="9">
			<key name="Name" val="Расценки в формате АДЕПТ"/>
			<key name="Description" val="Расценки в формате АДЕПТ"/>
			<key name="Form" val="LS"/>
			<sec name="9.1">
				<key name="Type" val="Expenses"/>
				<key name="Name" val="Расценки из ТСНБ, ФНСБ, ГЭСН"/>
				<key name="Match" val="(?P&lt;code&gt;(?:ТЕР|ФЕР|ГЭСН|ФСН)(?:п|м|мр|рр|р)?\d{2}-\d{2}-\d{3}-\d{1,2})"/>
				<key name="Replace" val="\g&lt;code&gt;"/>
			</sec>
			<sec name="9.2">
				<key name="Type" val="Expenses"/>
				<key name="Name" val="Расценки из ТСНБ, ФНСБ, ГЭСН ремонтно-строительные"/>
				<key name="Match" val="(?P&lt;code&gt;(?:ТЕР|ФЕР|ГЭСН)р\d{2}-\d{1,2}-\d{1,2})"/>
				<key name="Replace" val="\g&lt;code&gt;"/>
			</sec>
			<sec name="9.3">
				<key name="Type" val="Materials"/>
				<key name="Name" val="Материалы из ГЭСН, ФСНБ и ТСНБ"/>
				<key name="Match" val="\[?(?P&lt;code&gt;\d{3}-\d{4}(?:-\d{1,5})?(П|\*)?)\]?"/>
				<key name="Replace" val="\g&lt;code&gt;"/>
			</sec>
		</sec>
		<!--Формат кодов РИК-->
		<sec name="10">
			<key name="Name" val="Формат кодов РИК"/>
			<key name="Description" val="Формат кодов ПП РИК"/>
			<key name="Form" val="LS"/>
			<sec name="10.1">
				<key name="Type" val="Expenses"/>
				<key name="Name" val="Расценки из ТСНБ, ФНСБ, ГЭСН"/>
				<key name="Match" val="(ТЕР|ФЕР|ГЭСН)(п|м|мр|рр|р)?\s*(\d{2}-\d{2}-\d{3}-\d{1,2})"/>
				<key name="Replace" val="$1$2$3"/>
			</sec>
			<sec name="10.2">
				<key name="Type" val="Expenses"/>
				<key name="Name" val="Расценки из ТСНБ, ФНСБ, ГЭСН"/>
				<key name="Match" val="(ТЕРр)\s*(\d{2}-\d{1,2}-\d{1,2})"/>
				<key name="Replace" val="$1$2"/>
			</sec>
			<!--Какие-то сокращенные коды-->
			<sec name="10.3">
				<key name="Type" val="Expenses"/>
				<key name="Name" val="Сокращенная расценка"/>
				<key name="Match" val="(?:Е|Ц)(п|м|мр|рр|р)?\s*(\d{2}-\d{2}-\d{3}-\d{1,2})"/>
				<key name="Replace" val="$1$2"/>
			</sec>
			<sec name="10.4">
				<key name="Type" val="Expenses"/>
				<key name="Name" val="Сокращенная перевозка"/>
				<key name="Match" val="Т(\d{2}-\d{2}-\d{2}-\d{1,3})"/>
				<key name="Replace" val="$1"/>
			</sec>
			<sec name="10.5">
				<key name="Type" val="Materials"/>
				<key name="Name" val="Материалы из ГЭСН, ФСНБ и ТСНБ"/>
				<key name="Match" val="С\s*(\d{3}-\d{4}(?:-\d{1,5})?)"/>
				<key name="Replace" val="$1"/>
			</sec>
			<sec name="10.6">
				<key name="Type" val="Materials"/>
				<key name="Name" val="Сокращенный материал и оборудование из ГЭСН, ФСНБ 2017"/>
				<key name="Match" val="(?:С|П)\s*(\d{2}\.\d)-(\d{2}\.\d{2}-\d{4})"/>
				<key name="Replace" val="$1.$2"/>
			</sec>
			<sec name="10.7">
				<key name="Type" val="Materials"/>
				<key name="Name" val="Материалы из ГЭСН, ФСНБ и ТСНБ"/>
				<key name="Match" val="ТССЦ\s*(\d{3}-\d{4})"/>
				<key name="Replace" val="$1"/>
			</sec>
			<sec name="10.8">
				<key name="Type" val="Materials"/>
				<key name="Name" val="Материалы ФССЦ"/>
				<key name="Match" val="ФССЦ\s*(\d{2}\.\d\.\d{2}\.\d{2}-\d{4})"/>
				<key name="Replace" val="$1"/>
			</sec>
			<sec name="10.9">
				<key name="Type" val="Expenses"/>
				<key name="Name" val="Погрузка/Разгрузка"/>
				<key name="Match" val="ФССЦпг\s*(\d{2}-\d{2}-\d{2}-\d{3})"/>
				<key name="Replace" val="ФСЦпг$1"/>
			</sec>
			<sec name="10.10">
				<key name="Type" val="Expenses"/>
				<key name="Name" val="Расценки ремонт ФЕРр"/>
				<key name="Match" val="(ФЕРр)\s*(\d{2}-\d{1,2}-\d{2,3})"/>
				<key name="Replace" val="$1$2"/>
			</sec>
			<!--Добавляем ведущий 0 у последней группы-->
			<sec name="10.11">
				<key name="Type" val="Expenses"/>
				<key name="Name" val="Расценки ремонт ФЕРр"/>
				<key name="Match" val="(ФЕРр)\s*(\d{2}-\d{1,2})-(\d{1})"/>
				<key name="Replace" val="$1$2-0$3"/>
			</sec>
			<!-- ОЕРЖ РЖД-->
			<sec name="10.12">
				<key name="Type" val="Expenses"/>
				<key name="Name" val="Материалы ОЕРЖп"/>
				<key name="Match" val="Ц1(\d{2}-\d{2}-\d{3}-\d{2})"/>
				<key name="Replace" val="ОЕРЖп$1"/>
			</sec>
			<sec name="10.13">
				<key name="Type" val="Expenses"/>
				<key name="Name" val="Расценки из ОЕРЖ"/>
				<key name="Match" val="(ОЕРЖ)\s*(\d{2}-\d{2}-\d{3}-\d{2})"/>
				<key name="Replace" val="$1$2"/>
			</sec>
			<sec name="10.14">
				<key name="Type" val="Materials"/>
				<key name="Name" val="Материалы из ОЕРЖ"/>
				<key name="Match" val="ОССЦЖ\s*(\d{3}-\d{4})"/>
				<key name="Replace" val="$1"/>
			</sec>
		</sec>
		<!--Материалы по прайсу-->
		<sec name="price">
			<key name="Name" val="Материалы по прайсу"/>
			<key name="Description" val="Материалы по прайсу с ключевым словом &quot;Прайс&quot; в графе с шифром"/>
			<key name="Form" val="LS"/>
			<sec name="MatPrice">
				<key name="Type" val="Materials"/>
				<key name="Name" val="Материалы по прайсу"/>
				<key name="Match" val="(?P&lt;code&gt;.*(Прайс|Коммерческое предложение|Конъюнктурный анализ|ТЦ_|цена поставщика).*)"/>
				<key name="Replace" val="\g&lt;code&gt;"/>
			</sec>
		</sec>
	</sec>
</ExcelImport>
